sif_template = '''

Header
  CHECK KEYWORDS Warn
  Mesh DB "." "mesh"
  Include Path ""
  Results Directory "../results"
End

Simulation
  Coordinate Scaling = 0.001
  Max Output Level = 5
  Coordinate System = Cartesian
  Coordinate Mapping(3) = 1 2 3
  Simulation Type = Steady state
  Steady State Max Iterations = 1
  Output Intervals(1) = 1
  Solver Input File = case.sif
  Post File = case.vtu
End

Constants
  Gravity(4) = 0 -1 0 9.82
End

Body 1
  Target Bodies(1) = 1
  Name = "Body 1"
  Equation = 1
  Material = 1
End

Solver 1
  Equation = Elastic Plates
  Eigen System Values = 150
  Eigen System Select = Smallest magnitude
  Variable = -dofs 3 Deflection
  Eigen Analysis = True
  Procedure = "Smitc" "SmitcSolver"
  Exec Solver = Always
  Stabilize = True
  Optimize Bandwidth = True
  Steady State Convergence Tolerance = 1.0e-5
  Nonlinear System Convergence Tolerance = 1.0e-7
  Nonlinear System Max Iterations = 1
  Nonlinear System Newton After Iterations = 3
  Nonlinear System Newton After Tolerance = 1.0e-3
  Nonlinear System Relaxation Factor = 1
  Linear System Solver = Direct
  Linear System Direct Method = Umfpack
  Linear System Convergence Tolerance = 1.0e-5
End

Solver 2 
  !Exec Solver = After Timestep
  Equation = "SaveScalars"
  Procedure = "SaveData" "SaveScalars"
  Filename = "eigenfreq.dat"
  Save EigenFrequencies = True

End

Equation 1
  Name = "Plate equation"
  Active Solvers(1) = 1
End

Material 1
  Name = "Material 1"
  Density = 26
  Thickness = 0.015
  Tension = 0.0
  Poisson ratio = 0.3
  Youngs modulus = 4.0e6
End

Boundary Condition 1
  Target Boundaries(4) = 1 2 3 4
  Name = "Fixed"
  Deflection 1 = 0.0
  !Deflection 2 = 0.0
  !Deflection 3 = 0.0
End
'''
